=== debian/changelog ===
salt (2016.11.2+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Temporarily disable cleaning the upstream doc to workaround #851559.

 -- Al Nikolov <clown@debian.org>  Wed, 24 May 2017 16:47:08 +0300
