## salt 2016.11.5+ds

=== debian/changelog ===
salt (2016.11.5+ds-1) unstable; urgency=medium

  * New upstream bug-fix release. Security fixes:
    - CVE-2017-8109: salt-ssh minion copied over configuration from the Salt
      Master without adjusting permissions (Closes: #861219)
  * Refresh patches and drop Fix-top_file_merging_strategy-warning.patch
  * Do not require sphinx-build for cleaning docs (Closes: #851559)
  * Install spm into salt-common
  * Install salt-unity into salt-master
  * Add documentation keys to systemd service files (PR 41401)
  * Move salt.7 from salt-common to salt-doc, since it uses 1.7 MiB (compressed)
  * Fix spelling mistakes (found by lintian) (PR 41404)
  * Document aptpkg architectures parameter
  * Fix pkgrepo.managed always return changes for test=true (PR 41456)
  * Update fingerprint hash type default from md5 to sha256. Note: upstream
    defers this change to the next major release (Nitrogen)
  * Fix bashism in bootstrap-salt.sh (Closes: #772406)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 26 May 2017 17:54:23 +0200
