=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            Benjamin Drung <benjamin.drung@profitbricks.com>,
-           Wolodja Wentland <debian@babilen5.org>,
-           Al Nikolov <clown@debian.org>
+           Wolodja Wentland <debian@babilen5.org>
 Build-Depends: bash-completion,
                debhelper (>= 9.20120410~),
                dh-python,
@@ -183,6 +182,8 @@
          libjs-sphinxdoc,
          libjs-twitter-bootstrap,
          ${misc:Depends}
+Breaks: salt-common (<< 2016.11.5)
+Replaces: salt-common (<< 2016.11.5)
 Description: additional documentation for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
