## salt 2017.7.4%2Bdfsg1

=== debian/changelog ===
salt (2017.7.4+dfsg1-1ubuntu18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Directory traversal vulnerabilities in salt-api
    - debian/patches/CVE-2018-15750_15751.patch: Ensure that tokens are hex
      to avoid hanging/errors.
    - CVE-2018-15750
    - CVE-2018-15751
  * SECURITY UPDATE: Command injection vulnerabilities in salt-api and
    salt-master caused by improper sanitized input.
    - debian/patches/CVE-2019-17361.patch: various netapi fixes and tests.
    - debian/patches/CVE-2020-11651_11652_1.patch: Checks and sanitization.
    - debian/patches/CVE-2020-11651_11652_2.patch: Adding in missing fixes.
    - CVE-2019-17361
    - CVE-2020-11651
    - CVE-2020-11652

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 05 Aug 2020 19:59:01 +0000

salt (2017.7.4+dfsg1-1ubuntu18.04.1) bionic; urgency=medium

  * Cherrypick two upstream patches to fix compat with OpenSSL 1.1.1,
    without these salt fails to start when OpenSSL is upgraded from 1.1.0
    to 1.1.1. LP: #1823332
  * Fix up install call in debian/rules to resolve FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Apr 2019 15:41:52 +0100

salt (2017.7.4+dfsg1-1) unstable; urgency=medium

  * New upstream bug-fix release
  * Use xz for repacked source tarball
  * Change salt master user from 'root' to 'salt' by default (Closes: #891303)
  * Fix Python 3 support for debconfmod (LP: #1752651)
  * Support dynamic pillar_root environment (fixes upstream bug #20581)
  * kubernetes: Fix ValueError for template in AppsV1beta1DeploymentSpec
    (see upstream bug #46329)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 05 Mar 2018 15:36:11 +0100

salt (2017.7.3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Break Python 3 not compatible salt-formulas (Closes: #889934)

  [ Benjamin Drung ]
  * Fix skipping Kubernetes tests if client is not installed
  * Build depend on python3-kubernetes (for test run)
  * Declare that override_dh_fixperms target requires root
  * Move source lintian overrides to debian/source
  * Use canonical URL for Vcs-Git
  * Support nocheck build option
  * Move certificate files to /var/lib/salt/pki (Closes: #698898)
  * Let salt master service handle the file permissions instead of using
    "chown -R" (which is vulnerable to hardlink attacks)
  * Replace Workaround-wrong-oscodename-grain.patch by proper solution

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 21 Feb 2018 20:28:41 +0100

salt (2017.7.2+dfsg1-2) unstable; urgency=medium

  * Fix Unicode tests when run with LC_ALL=POSIX
  * Replace work around for doc generation with proper fix
  * salt-master.postinst: Ensure that /etc/salt/pki exists

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 26 Jan 2018 19:36:22 +0100

salt (2017.7.2+dfsg1-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
  * Refresh patches and drop backported default-fingerprint-sha256.patch
  * Update Vcs URLs to point to salsa.debian.org
  * Switch to Python 3
  * Use libjs-twitter-bootstrap for bootstrap.js
  * Add python3-psutil dependency to salt-common
  * Recommend python3-pygit2 over python3-git
  * Fix unit.modules.test_cmdmod.CMDMODTestCase.test_run test case
  * Fix skipping test when boto is not installed
  * doc: Mock keyring module import
  * doc: Define fake version for msgpack and psutil
  * Update doc.conf.intersphinx_mapping patch for Python 3
  * Work around build failure with python3-sphinx (see upstream bug 45684)
  * Build documentation with python3-sphinx
  * Enable running unit tests
  * Use dbus-run-session instead of dbus-launch (Closes: #836297)
  * Run salt-master as 'salt' user instead of root (Closes: #801396)
  * Raise LimitNOFILE to default max open files (100,000 files)

  [ Ondřej Nový ]
  * Remove privacy breach in docs, replace YouTube iframes with links
  * Disable shorturls extension in docs

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 25 Jan 2018 16:31:30 +0100

salt (2016.11.8+dfsg1-2) unstable; urgency=medium

  * Recommends sfdisk for salt-minon (Closes: #872099)
  * Recommends e2fsprogs for salt-minion (Closes: #887245)
  * d/copyright: Bump my copyright year
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Mon, 15 Jan 2018 16:01:11 +0100

salt (2016.11.8+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release. Security fixies:
    - CVE-2017-12791: Directory traversal vulnerability on salt-master via
      crafted minion IDs (Closes: #872399)
    - CVE-2017-14695:  Directory traversal vulnerability in minion id
      validation in SaltStack (Closes: #879089)
    - CVE-2017-14696: Remote Denial of Service with a specially crafted
      authentication request (Closes: #879090)
  * Remove patches applied upstream and rebase others
  * Add myself to uploaders
  * Bump debhelper compat level to 10
    - Use dh_missing --fail-missing
    - New debhelper don't require to depend on dh-systemd
    - Don't pass --with-systemd to dh, it's default now
  * d/watch: Use https
  * Use Files-Excluded in d/copyright instead of own repack script
  * d/copyright:
    - Add myself for Debian part
    - Remove debian/repack
  * Deprecating priority extra as per policy 4.0.1
  * Remove deprecated upstart configuration

  [ Benjamin Drung ]
  * Add python-msgpack dependency to salt-common (Closes: #869659)

 -- Ondřej Nový <onovy@debian.org>  Mon, 11 Dec 2017 12:21:41 +0100
