=== debian/control ===
--- 
+++ 
@@ -1,41 +1,64 @@
 Source: salt
 Section: admin
-Priority: extra
-Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
 Uploaders: Joe Healy <joehealy@gmail.com>,
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            Benjamin Drung <benjamin.drung@profitbricks.com>,
-           Wolodja Wentland <debian@babilen5.org>
+           Wolodja Wentland <debian@babilen5.org>,
+           Ondřej Nový <onovy@debian.org>
 Build-Depends: bash-completion,
-               debhelper (>= 9.20120410~),
+               debhelper (>= 11),
                dh-python,
-               dh-systemd (>= 1.4),
                dpkg-dev (>= 1.16.2),
-               python | python-all | python-dev | python-all-dev,
-               python-debian,
-               python-msgpack,
-               python-setuptools
-Build-Depends-Indep: python-sphinx (>= 1.3.5), python2.7-doc
-Standards-Version: 3.9.8
+               python3,
+               python3-cherrypy3,
+               python3-crypto (>= 2.6),
+               python3-dateutil,
+               python3-git,
+               python3-jinja2,
+               python3-jsonschema,
+               python3-kubernetes,
+               python3-msgpack,
+               python3-psutil,
+               python3-pygit2,
+               python3-pytestsalt,
+               python3-requests (>= 1.0.0),
+               python3-setuptools,
+               python3-tornado (>= 4.2),
+               python3-yaml,
+               python3-zmq (>= 13.1.0)
+Build-Depends-Indep: python3-doc, python3-sphinx (>= 1.3.5)
+Standards-Version: 4.1.3
 Homepage: http://saltstack.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-salt/salt.git
+Vcs-Browser: https://salsa.debian.org/salt-team/salt
+Vcs-Git: https://salsa.debian.org/salt-team/salt.git
+X-Python3-Version: >= 3.4
+Rules-Requires-Root: binary-targets
 
 Package: salt-common
 Architecture: all
-Depends: python-apt,
-         python-dateutil,
-         python-jinja2,
-         python-pkg-resources,
-         python-requests (>= 1.0.0),
-         python-tornado (>= 4.2),
-         python-yaml,
-         ${misc:Depends},
-         ${python:Depends}
-Recommends: lsb-release, python-croniter
-Suggests: python-mako, salt-doc (= ${source:Version})
-Breaks: python-mako (<< 0.7.0)
+Depends: python3-apt,
+         python3-dateutil,
+         python3-jinja2,
+         python3-msgpack,
+         python3-pkg-resources,
+         python3-psutil,
+         python3-requests (>= 1.0.0),
+         python3-tornado (>= 4.2),
+         python3-yaml,
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: lsb-release, python3-croniter
+Suggests: python3-mako, salt-doc (= ${source:Version})
+Breaks: python3-mako (<< 0.7.0),
+        salt-formula-ceilometer (<= 2016.12.1-1),
+        salt-formula-cinder (<= 2016.12.1-1),
+        salt-formula-glance (<= 2016.12.1-1),
+        salt-formula-keystone (<= 2016.12.1-1),
+        salt-formula-kubernetes (<= 2016.12.1-1)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -58,15 +81,15 @@
 
 Package: salt-master
 Architecture: all
-Depends: lsb-base (>= 3.0-6),
-         python-crypto (>= 2.6),
-         python-msgpack,
-         python-systemd | sysvinit-core,
-         python-zmq (>= 13.1.0),
+Depends: adduser,
+         lsb-base (>= 3.0-6),
+         python3-crypto (>= 2.6),
+         python3-systemd | sysvinit-core,
+         python3-zmq (>= 13.1.0),
          salt-common (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-git
+         ${python3:Depends}
+Recommends: python3-pygit2 | python3-git
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -91,15 +114,14 @@
 Depends: bsdmainutils,
          dctrl-tools,
          lsb-base (>= 3.0-6),
-         python-crypto (>= 2.6),
-         python-msgpack,
-         python-systemd | sysvinit-core,
-         python-zmq (>= 13.1.0),
+         python3-crypto (>= 2.6),
+         python3-systemd | sysvinit-core,
+         python3-zmq (>= 13.1.0),
          salt-common (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
-Recommends: debconf-utils, dmidecode
-Suggests: python-augeas
+         ${python3:Depends}
+Recommends: debconf-utils, dmidecode, e2fsprogs, sfdisk
+Suggests: python3-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -122,10 +144,10 @@
 Package: salt-syndic
 Architecture: all
 Depends: lsb-base (>= 3.0-6),
-         python-systemd | sysvinit-core,
+         python3-systemd | sysvinit-core,
          salt-master (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Description: master-of-masters for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -148,10 +170,7 @@
 
 Package: salt-ssh
 Architecture: all
-Depends: python-msgpack,
-         salt-common (= ${source:Version}),
-         ${misc:Depends},
-         ${python:Depends}
+Depends: salt-common (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
 Description: remote manager to administer servers via Salt SSH
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -206,12 +225,12 @@
 
 Package: salt-cloud
 Architecture: all
-Depends: python-libcloud (>= 0.14.1-1),
+Depends: python3-libcloud (>= 0.14.1-1),
          salt-common (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
-Suggests: python-botocore
-Recommends: python-netaddr
+         ${python3:Depends}
+Suggests: python3-botocore
+Recommends: python3-netaddr
 Description: public cloud VM management system
  Salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -232,11 +251,11 @@
 Package: salt-api
 Architecture: all
 Depends: lsb-base (>= 3.0-6),
-         python-systemd | sysvinit-core,
+         python3-systemd | sysvinit-core,
          salt-master,
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-cherrypy3
+         ${python3:Depends}
+Recommends: python3-cherrypy3
 Description: Generic, modular network access system
  a modular interface on top of Salt that can provide a variety of entry points
  into a running Salt system. It can start and manage multiple interfaces
@@ -248,7 +267,7 @@
 
 Package: salt-proxy
 Architecture: all
-Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python:Depends}
+Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
 Description: Proxy client package for salt stack
  Proxy minion allows a remote manager to administer devices that are unable to
  run a minion. salt is a powerful remote execution manager that can be used to
