## salt 2018.3.3+dfsg1

=== debian/changelog ===
salt (2018.3.3+dfsg1-2) unstable; urgency=medium

  * Check existence before removing /var/lib/salt/pki on purge (Closes: #918312)
  * Don't import obsolete Directive class from Sphinx to fix build failure with
    Sphinx 1.8. Thanks to Dmitry Shachnev. (Closes: #918377)
  * Bump Standards-Version to 4.3.0 (no changes are required)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 07 Jan 2019 15:30:51 +0100

salt (2018.3.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - CVE-2018-15751: remote authentication bypass in salt-api (netapi) allows
      executing arbitrary commands (Closes: #913475)
    - CVE-2018-15750: Directory traversal in salt-api allows remote attackers
      to identitfy arbitrary files (Closes: #913476)
    - Support Python 3.7 (Closes: #904654)
    - Fix typo (Closes: #906275)
  * Drop 22 patches that were accepted by upstream and refresh remaining ones.
  * Remove inactive Wolodja Wentland. Thanks for your work. (Closes: #898142)
  * Remove empty /var/lib/salt on package purge (Closes: #905519)
  * Fix InstallRequirement.from_line for pip 18.1
  * Use collections.abc instead of collections for Python 3.7 (from upstream)
  * Add patch to support unittest.mock from Python >= 3.6 again
  * Fix RemoveCapacityFromDiskgroupTestCase require pyvmomi
  * Fix twilio version checking
  * Bump Standards-Version to 4.2.1 (no changes are required)
  * Call setup.py install with --install-layout deb
  * Fix documentation build (with five individual patches)
  * Upgrade to libjs-bootstrap version 3 (Closes: #908430)
  * Add multiple build dependencies to increase unittest coverage
  * Add autopkgtest to run the unittests
  * Skip failing test_event_subscription (for now) due to tornado bug #2536
    when using openssl 1.1.1 with TLS 1.3.
  * Skip failing kubernetes test (for now, needs an upstream fix)
  * Use python3-tornado4 due to missing support for tornado version 5
    (Closes: #893817, #896921)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 21 Dec 2018 19:21:57 +0100
