=== debian/control ===
--- 
+++ 
@@ -5,36 +5,60 @@
 Uploaders: Joe Healy <joehealy@gmail.com>,
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
-           Benjamin Drung <benjamin.drung@profitbricks.com>,
-           Wolodja Wentland <debian@babilen5.org>,
+           Benjamin Drung <benjamin.drung@cloud.ionos.com>,
            Ondřej Nový <onovy@debian.org>
 Build-Depends: bash-completion,
                debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.16.2),
                python3,
+               python3 (>= 3.6) | python3-mock,
+               python3-augeas,
+               python3-boto,
+               python3-boto3,
+               python3-cassandra,
                python3-cherrypy3,
+               python3-consul,
+               python3-croniter,
                python3-crypto (>= 2.6),
                python3-dateutil,
+               python3-dnspython,
+               python3-docker,
+               python3-elasticsearch,
+               python3-etcd,
                python3-git,
+               python3-hglib,
+               python3-isodate,
                python3-jinja2,
                python3-jsonschema,
+               python3-junos-eznc,
+               python3-keyring,
                python3-kubernetes,
+               python3-ldap,
+               python3-libcloud (>= 0.14.1),
                python3-msgpack,
+               python3-mysqldb,
+               python3-pip,
                python3-psutil,
                python3-pygit2,
+               python3-pyinotify,
+               python3-pyroute2,
                python3-pytestsalt,
+               python3-pytoml,
+               python3-pyvmomi,
                python3-requests (>= 1.0.0),
                python3-setuptools,
-               python3-tornado (>= 4.2),
+               python3-tornado4 (>= 4.2) | python3-tornado (<< 5),
+               python3-tornado4 (>= 4.2) | python3-tornado (>= 4.2),
+               python3-twilio,
                python3-yaml,
-               python3-zmq (>= 13.1.0)
+               python3-zmq (>= 13.1.0),
+               virtualenv
 Build-Depends-Indep: python3-doc, python3-sphinx (>= 1.3.5)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://saltstack.org/
 Vcs-Browser: https://salsa.debian.org/salt-team/salt
 Vcs-Git: https://salsa.debian.org/salt-team/salt.git
-X-Python3-Version: >= 3.4
 Rules-Requires-Root: binary-targets
 
 Package: salt-common
@@ -46,7 +70,8 @@
          python3-pkg-resources,
          python3-psutil,
          python3-requests (>= 1.0.0),
-         python3-tornado (>= 4.2),
+         python3-tornado4 (>= 4.2) | python3-tornado (<< 5),
+         python3-tornado4 (>= 4.2) | python3-tornado (>= 4.2),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends}
@@ -195,10 +220,10 @@
 Package: salt-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
+Depends: libjs-bootstrap,
+         libjs-jquery,
          libjs-modernizr,
          libjs-sphinxdoc,
-         libjs-twitter-bootstrap,
          ${misc:Depends}
 Breaks: salt-common (<< 2016.11.5)
 Replaces: salt-common (<< 2016.11.5)
@@ -283,9 +308,3 @@
  needs to be in.
  .
  Between the remote execution system, and state management Salt
- addresses the backbone of cloud and data center management.
- .
- This particular package provides the salt proxy minion. It
- is able to run salt modules and states on remote hosts via a proxy
- which transmits appropriate commands to devices and replies with the
- results of said commands.
