## salt 2018.3.4~git20180207+dfsg1

=== debian/changelog ===
salt (2018.3.4~git20180207+dfsg1-1) unstable; urgency=medium

  * New upstream pre-release snapshot.
  * Drop 11 patches that were accepted upstream and refresh remaining ones
  * test_argspec_report: Fix expected argspec_report result
  * Drop python3-cassandra from B-D until it enters testing (Closes: #921658)
  * Silence linux_distribution deprecation warning (Closes: #921630)
  * Fix use of deprecated pygit2 function (Closes: #921567)
  * Fix tornado4 patch to show its version in 'salt -V' (Closes: #921632)
  * Add NOTICE to salt-common
  * Skip test_module_name_source_match (failing in autopkgtest)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 08 Feb 2019 17:05:57 +0100
