=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                python3-augeas,
                python3-boto,
                python3-boto3,
-               python3-cassandra,
                python3-cherrypy3,
                python3-consul,
                python3-croniter,
@@ -308,3 +307,4 @@
  needs to be in.
  .
  Between the remote execution system, and state management Salt
+ addresses the backbone of cloud and data center management.
