=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
-	make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
+	HTML_THEME=saltstack make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
+	HTML_THEME=saltstack make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 
 override_dh_auto_install:
 	# Work around missing global options support: https://bugs.debian.org/890906
-	HOME=$(wildcard .pybuild/pythonX.Y_3*) python3 ./setup.py --salt-state-dir=/var/lib/salt install --root $(CURDIR)/debian/tmp
+	HOME=$(wildcard .pybuild/pythonX.Y_3*) python3 ./setup.py --salt-state-dir=/var/lib/salt install --install-layout deb --root $(CURDIR)/debian/tmp
 
 override_dh_auto_clean:
 	make -C doc clean
