=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
-Test-Command: cp -r conf tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; python3 ./tests/runtests.py -v --no-report --unit
+Test-Command: cp -r conf scripts templates tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; python3 ./tests/runtests.py -v --no-report --unit
 Depends: python3 (>= 3.6) | python3-mock,
          python3-augeas,
          python3-boto,
          python3-boto3,
-         python3-cassandra,
          python3-cherrypy3,
          python3-consul,
          python3-croniter,
